#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  kconfig-5.115.0 for lxqt

- Next

  kidletime-5.115.0 for lxqt

- Up
- Home

# solid-5.115.0 for lxqt

## Introduction to solid

Solid is a device integration framework. It provides a way of querying and interacting with hardware independently of the underlying operating system.

This package is known to build and work properly using an LFS 12.1 platform.

### Important

This package is extracted from the KF5 set of packages. If KDE Frameworks-5.115.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.115/solid-5.115.0.tar.xz

- Download MD5 sum: 4bc3f8554b526f0e39d8c2a6f228a988

- Download size: 300 KB

- Estimated disk space required: 29 MB

- Estimated build time: 0.6 SBU

### solid Dependencies

#### Required

extra-cmake-modules-5.115.0 and (Qt-5.15.12 or qt-alternate-5.15.12)

#### Optional (runtime)

UDisks-2.10.1, UPower-1.90.2, libimobiledevice, and media-player-info

## Installation of solid

Install solid by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr        \
          -DCMAKE_INSTALL_LIBEXECDIR=libexec \
          -DKDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_INSTALL_LIBEXECDIR=libexec`: This overrides the default in extra-cmake-modules, which is `/usr/lib/libexec` and is not FHS compliant.

`-DKDE_INSTALL_USE_QT_SYS_PATHS=ON`: This forces installation of Qt plugins in the same directory as Qt-5.15.12 itself. Otherwise they get installed into `/usr/mkspecs`, which is not FHS compliant.

## Contents

Installed Programs: solid-hardware5
Installed Library: libKF5Solid.so
Installed Directories: /usr/include/KF5/Solid, /usr/lib/cmake/KF5Solid, and /usr/lib/qml/org/kde/solid

### Short Descriptions

solid-hardware5 | queries hardware information from the system
`libKF5Solid.so` | provides a way of querying and interacting with hardware independently of the underlying operating system

- Prev

  kconfig-5.115.0 for lxqt

- Next

  kidletime-5.115.0 for lxqt

- Up
- Home